### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
CapFloorTermVolCurve Class Reference

Cap/floor at-the-money term-volatility vector. More...

`#include <ql/termstructures/volatility/capfloor/capfloortermvolcurve.hpp>`

Inheritance diagram for CapFloorTermVolCurve:
[legend]

List of all members.

## Public Member Functions

| CapFloorTermVolCurve (Natural settlementDays, const Calendar &calendar, BusinessDayConvention bdc, const std::vector< Period > &optionTenors, const std::vector< Handle< Quote > > &vols, const DayCounter &dc=Actual365Fixed())
| floating reference date, floating market data
| CapFloorTermVolCurve (const Date &settlementDate, const Calendar &calendar, BusinessDayConvention bdc, const std::vector< Period > &optionTenors, const std::vector< Handle< Quote > > &vols, const DayCounter &dc=Actual365Fixed())
| fixed reference date, floating market data
| CapFloorTermVolCurve (const Date &settlementDate, const Calendar &calendar, BusinessDayConvention bdc, const std::vector< Period > &optionTenors, const std::vector< Volatility > &vols, const DayCounter &dc=Actual365Fixed())
| fixed reference date, fixed market data
| CapFloorTermVolCurve (Natural settlementDays, const Calendar &calendar, BusinessDayConvention bdc, const std::vector< Period > &optionTenors, const std::vector< Volatility > &vols, const DayCounter &dc=Actual365Fixed())
| floating reference date, fixed market data
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
LazyObject interface
void | update ()
void | performCalculations () const
some inspectors
const std::vector< Period > & | optionTenors () const
const std::vector< Date > & | optionDates () const
const std::vector< Time > & | optionTimes () const

## Protected Member Functions

Volatility | volatilityImpl (Time length, Rate) const
| implements the actual volatility calculation in derived classes

## Detailed Description

Cap/floor at-the-money term-volatility vector.

This class provides the at-the-money volatility for a given cap/floor interpolating a volatility vector whose elements are the market volatilities of a set of caps/floors with given length.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.

void performCalculations | ( |  | ) | const`[virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.